Lip sync
POST
/kling/v1/videos/advanced-lip-syncBody Parametersapplication/json
callback_url string
Callback URL invoked on task completion
external_task_id string
Custom external task ID for business-side correlation
face_choose* array
specify a face for lip-sync;includes face ID, lip-sync reference, etc.;currently only single-person lip-sync
items object object
session_id* string
session ID from the lip-sync face recognition API
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"callback_url": "",
3"external_task_id": "",
4"face_choose": [
5{
6"audio_id": "825451760499568680",
7"face_id": "-1",
8"original_audio_volume": 1,
9"sound_end_time": 5000,
10"sound_file": "",
11"sound_insert_time": 1000,
12"sound_start_time": 0,
13"sound_volume": 1
14}
15],
16"session_id": "825465778199224380"
17}
1curl -X POST "https://api.digislash.com/kling/v1/videos/advanced-lip-sync" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"callback_url": "",
6"external_task_id": "",
7"face_choose": [
8{
9"audio_id": "825451760499568680",
10"face_id": "-1",
11"original_audio_volume": 1,
12"sound_end_time": 5000,
13"sound_file": "",
14"sound_insert_time": 1000,
15"sound_start_time": 0,
16"sound_volume": 1
17}
18],
19"session_id": "825465778199224380"
20}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
